# ``twisted`.`web`.`iweb`.`IRenderable``

interface documentation

`class IRenderable(Interface): (source)`

Known implementations: `twisted.web._element.Element`

View In Hierarchy

An `IRenderable` is an object that may be rendered by the `twisted.web.template` templating system.

Method | `lookupRenderMethod` | Look up and return the render method associated with the given name.
Method | `render` | Get the document for this `IRenderable`.

def lookupRenderMethod(name): (source)
Look up and return the render method associated with the given name.

Parameters
name:`str` | The value of a render directive encountered in the document returned by a call to `IRenderable.render`.
Returns
`Callable[[Optional[IRequest], Tag], Flattenable]` | A two-argument callable which will be invoked with the request being responded to and the tag object on which the render directive was encountered.

def render(request): (source)
Get the document for this `IRenderable`.

Parameters
request:`Optional[IRequest]` | The request in response to which this method is being invoked.
Returns
`Flattenable` | An object which can be flattened.